import { Routes } from '@angular/router';
import { LandingPageComponent } from './landing-page/landing-page.component';
import { HomepageComponent } from './homepage/homepage/homepage.component';
import { authGuard } from './auth.guard';
import { DepositComponent } from './deposit/deposit.component';

export const routes: Routes = [
  {
    path: '',
    component: LandingPageComponent,
  },
  {
    path: 'home',
    component: HomepageComponent,
    canActivate: [authGuard],
  },
  {
    path: 'deposit',
    component: DepositComponent,
    canActivate: [authGuard],
  },
];
