import { ChangeDetectionStrategy, Component, inject } from '@angular/core';
import { KeycloakService } from 'keycloak-angular';

@Component({
  selector: 'app-homepage',
  standalone: true,
  imports: [],
  templateUrl: './homepage.component.html',
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class HomepageComponent {
  private keycloakService: KeycloakService = inject(KeycloakService);

  logout() {
    const baseUrl = window.location.origin;

    this.keycloakService.logout(`${baseUrl}/`);
  }
}
